%define php_extdir %(php-config --extension-dir 2>/dev/null || echo /usr/lib/php4)
%{!?php_version:%define php_version %(php-config --version 2>/dev/null || echo 4.3.10)}

%define module_version 0.9.4

Summary: PHP accelerator, optimizer, encoder and dynamic content cacher
Name: php-eaccelerator-apache2
Version: %{php_version}_%{module_version}
Release: 1.norlug
License: GPL
Group: Development/Languages
URL: http://eaccelerator.sourceforge.net/
Source: http://dl.sf.net/eaccelerator/eaccelerator-%{module_version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: php-apache2 = %{php_version}
Provides: php-apache2-eaccelerator
BuildRequires: php-apache2, php-apache2-devel
# Required by phpize
BuildRequires: autoconf, automake, libtool, gcc-c++
Obsoletes: php-apache1-eaccelerator

%description
eAccelerator is a further development of the MMCache PHP Accelerator & Encoder.
It increases performance of PHP scripts by caching them in compiled state, so
that the overhead of compiling is almost completely eliminated.

%prep 
%setup -q -n eaccelerator-%{module_version}

%build
phpize
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install INSTALL_ROOT=%{buildroot}

# The cache directory where pre-compiled files will reside
%{__mkdir_p} %{buildroot}%{_localstatedir}/cache/php-eaccelerator

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/eaccelerator.ini << 'EOF'
; Enable eAccelerator extension module
zend_extension = %{php_extdir}/eaccelerator.so
; Options for the eAccelerator module
eaccelerator.cache_dir = %{_localstatedir}/cache/php-eaccelerator
eaccelerator.shm_size = 0
eaccelerator.enable = 1
eaccelerator.optimizer = 1
eaccelerator.check_mtime = 1
eaccelerator.filter = ""
eaccelerator.shm_max = 0
eaccelerator.shm_ttl = 3600
eaccelerator.shm_prune_period = 0
eaccelerator.shm_only = 0
eaccelerator.compress = 1
eaccelerator.compress_level = 9
eaccelerator.debug = 0
EOF


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README*
%doc eaccelerator.ini *.php
%config(noreplace) %{_sysconfdir}/php.d/eaccelerator.ini
%{php_extdir}/eaccelerator.so
%attr(0750, apache, apache) %{_localstatedir}/cache/php-eaccelerator


%changelog
* Wed Mar 1 2006 Chip Cuccio <chipster@norlug.org> 4.4.2_0.9.4
- Updated

* Fri Jan 13 2006 Chip Cuccio <chipster@norlug.org> 4.4.2_0.9.3-3
- rebuilt for PHP-4.4.2

* Sun Jan 8 2005 Chip Cuccio <chipster@norlug.org> 0.9.3
- initial rh-7.3 build
